# std::_GClos< _Expr, _Dom > Struct Template Reference

Inheritance diagram for std::_GClos< _Expr, _Dom >:

List of all members.

## Detailed Description

### template<class _Dom>
struct std::_GClos< _Expr, _Dom >

Definition at line 93 of file valarray_after.h.

## Public Types

- typedef _GBase< _Dom > _Base
- typedef _Base::value_type value_type

## Public Member Functions

- _GClos (const _Dom &__e, const valarray< size_t > &__i)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_after.h